# This package contains generated C header files.  They differ by architecture,
# so this package cannot be noarch, but there are no ELF objects in it.
%global debug_package %{nil}

%global oname jst-config

Name:           ocaml-%{oname}
Epoch:          1
Version:        0.15.1
Release:        %mkrel 2
Summary:        Compile-time configuration for Jane Street libraries
Group:          Development/OCaml
License:        MIT
URL:            https://github.com/janestreet/%{oname}
Source0:        %{url}/archive/v%{version}/%{oname}-%{version}.tar.gz

BuildRequires:  ocaml >= 4.08.0
BuildRequires:  ocaml-base-devel >= 0.15
BuildRequires:  ocaml-dune-devel >= 2.0.0
BuildRequires:  ocaml-ppx_assert-devel >= 0.15

%description
This package defines compile-time constants used in Jane Street libraries
such as Base, Core, and Async.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       ocaml-base-devel%{?_isa}
Requires:       ocaml-ppx_assert-devel%{?_isa}
Requires:       ocaml-stdio-devel%{?_isa}

%description    devel
This package defines compile-time constants used in Jane Street libraries
such as Base, Core, and Async.

%prep
%setup -q -n %{oname}-%{version}

%build
dune build --verbose -p %{oname} %_smp_mflags

%install
dune install --destdir=%{buildroot}
rm -rf %buildroot/usr/doc

# Makes *.cmxs executable such that they will be stripped.
find %{buildroot} -name '*.cmxs' -exec chmod 0755 {} \;

%check
dune runtest

%files
%license LICENSE.md
%dir %{_libdir}/ocaml/%{oname}
%{_libdir}/ocaml/%{oname}/META
%{_libdir}/ocaml/%{oname}/*dune*
%{_libdir}/ocaml/%{oname}/*.cmi
%{_libdir}/ocaml/%{oname}/*.cma
%{_libdir}/ocaml/%{oname}/*.a
%{_libdir}/ocaml/%{oname}/*.cmxa
%{_libdir}/ocaml/%{oname}/*.cmxs

%files devel
%{_libdir}/ocaml/%{oname}/opam
%{_libdir}/ocaml/%{oname}/*.cmt
%{_libdir}/ocaml/%{oname}/*.cmx
%{_libdir}/ocaml/%{oname}/*.ml*
%{_libdir}/ocaml/%{oname}/*.h



%changelog
* Sun Oct 09 2022 pterjan <pterjan> 1:0.15.1-2.mga9
+ Revision: 1895941
- Rebuild for new ocaml-base and ocaml-ppxlib

* Wed May 18 2022 pterjan <pterjan> 1:0.15.1-1.mga9
+ Revision: 1858601
- Update to 0.15.1

* Wed Apr 06 2022 umeabot <umeabot> 1:0.14.1-2.mga9
+ Revision: 1845553
- Mageia 9 Mass Rebuild

* Fri Oct 15 2021 tv <tv> 1:0.14.1-1.mga9
+ Revision: 1751563
- 0.14.1

* Fri Mar 26 2021 tv <tv> 1:0.14.0-1.mga9
+ Revision: 1710584
- 0.14.0

* Sun Jan 10 2021 pterjan <pterjan> 1:0.13.0-4.mga8
+ Revision: 1670822
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 1:0.13.0-3.mga8
+ Revision: 1551931
- Rebuild for ocaml 4.10.0 final

* Thu Feb 20 2020 umeabot <umeabot> 1:0.13.0-2.mga8
+ Revision: 1545109
- Mageia 8 Mass Rebuild

* Mon Jan 27 2020 tv <tv> 1:0.13.0-1.mga8
+ Revision: 1483999
- add more BRs
- BR ocaml-dune-devel
- imported package ocaml-jst-config

